components:
  schemas:
    PowerDistributionMetrics_v1_4_0_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        '#PowerDistributionMetrics.ResetMetrics':
          $ref: '#/components/schemas/PowerDistributionMetrics_v1_4_0_ResetMetrics'
        Oem:
          $ref: '#/components/schemas/PowerDistributionMetrics_v1_4_0_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    PowerDistributionMetrics_v1_4_0_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    PowerDistributionMetrics_v1_4_0_PowerDistributionMetrics:
      additionalProperties: false
      description: The `PowerDistributionMetrics` schema contains metrics of a power
        distribution component or unit, such as a floor power distribution unit (PDU)
        or switchgear.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        AbsoluteHumidity:
          description: Absolute humidity (g/m^3).
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Sensor.yaml#/components/schemas/Sensor_SensorExcerpt
          - enum:
            - null
          x-excerptCopy: SensorExcerpt
          x-longDescription: This property shall contain the absolute (volumetric)
            humidity sensor reading, in grams per cubic meter units, for this resource.  The
            value of the `DataSourceUri` property, if present, shall reference a resource
            of type `Sensor` with the `ReadingType` property containing the value
            `AbsoluteHumidity`.
          x-versionAdded: v1_3_0
        Actions:
          $ref: '#/components/schemas/PowerDistributionMetrics_v1_4_0_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
        AmbientTemperatureCelsius:
          description: Ambient temperature (Celsius).
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Sensor.yaml#/components/schemas/Sensor_SensorExcerpt
          - enum:
            - null
          x-excerptCopy: SensorExcerpt
          x-longDescription: This property shall contain the ambient temperature,
            in degree Celsius units, for this resource.  The ambient temperature shall
            be the temperature measured at a point exterior to the `Chassis` containing
            this resource.  The value of the `DataSourceUri` property, if present,
            shall reference a resource of type `Sensor` with the `ReadingType` property
            containing the value `Temperature`.  This property shall only be present,
            if supported, in resource instances subordinate to a `Chassis` or `CoolingUnit`
            resource.
          x-versionAdded: v1_4_0
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        EnergykWh:
          description: Energy consumption (kWh).
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Sensor.yaml#/components/schemas/Sensor_SensorEnergykWhExcerpt
          - enum:
            - null
          x-excerptCopy: SensorEnergykWhExcerpt
          x-longDescription: This property shall contain the total energy, in kilowatt-hour
            units, for this resource that represents the `Total` `ElectricalContext`
            sensor when multiple energy sensors exist.  The value of the `DataSourceUri`
            property, if present, shall reference a resource of type `Sensor` with
            the `ReadingType` property containing the value `EnergykWh`.
        HumidityPercent:
          description: Humidity (percent).
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Sensor.yaml#/components/schemas/Sensor_SensorExcerpt
          - enum:
            - null
          x-excerptCopy: SensorExcerpt
          x-longDescription: This property shall contain the humidity, in percent
            units, for this resource.  The value of the `DataSourceUri` property,
            if present, shall reference a resource of type `Sensor` with the `ReadingType`
            property containing the value `Humidity`.
          x-versionAdded: v1_1_0
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        PowerLoadPercent:
          description: The power load (percent) for this equipment.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Sensor.yaml#/components/schemas/Sensor_SensorExcerpt
          - enum:
            - null
          x-excerptCopy: SensorExcerpt
          x-longDescription: This property shall contain the power load, in percent
            units, for this device that represents the `Total` `ElectricalContext`
            for this device.  The value of the `DataSourceUri` property, if present,
            shall reference a resource of type `Sensor` with the `ReadingType` property
            containing the value `Percent`.
          x-versionAdded: v1_2_0
        PowerWatts:
          description: Power consumption (W).
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Sensor.yaml#/components/schemas/Sensor_SensorPowerExcerpt
          - enum:
            - null
          x-excerptCopy: SensorPowerExcerpt
          x-longDescription: This property shall contain the total power, in watt
            units, for this resource that represents the `Total` `ElectricalContext`
            sensor when multiple power sensors exist.  The value of the `DataSourceUri`
            property, if present, shall reference a resource of type `Sensor` with
            the `ReadingType` property containing the value `Power`.
        TemperatureCelsius:
          description: Temperature (Celsius).
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Sensor.yaml#/components/schemas/Sensor_SensorExcerpt
          - enum:
            - null
          x-excerptCopy: SensorExcerpt
          x-longDescription: This property shall contain the temperature, in degree
            Celsius units, for this resource.  The value of the `DataSourceUri` property,
            if present, shall reference a resource of type `Sensor` with the `ReadingType`
            property containing the value `Temperature`.
          x-versionAdded: v1_1_0
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent the metrics of a power distribution
        component or unit for a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    PowerDistributionMetrics_v1_4_0_ResetMetrics:
      additionalProperties: false
      description: This action resets the summary metrics related to this equipment.
      properties:
        target:
          description: Link to invoke action
          format: uri-reference
          type: string
        title:
          description: Friendly action name
          type: string
      type: object
      x-longDescription: This action shall reset any time intervals or counted values
        for this equipment.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    PowerDistributionMetrics_v1_4_0_ResetMetricsRequestBody:
      additionalProperties: false
      description: This action resets the summary metrics related to this equipment.
      properties: {}
      type: object
      x-longDescription: This action shall reset any time intervals or counted values
        for this equipment.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#PowerDistributionMetrics.v1_4_0.PowerDistributionMetrics'
x-copyright: Copyright 2014-2025 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
x-release: '2025.1'
